clang 10.0.0git

Public Types | Public Member Functions | List of all members
llvm::IDFCalculatorDetail::ChildrenGetterTy< clang::CFGBlock, IsPostDom > Struct Template Reference

Specialize ChildrenGetterTy to skip nullpointer successors. More...

`#include "clang/Analysis/Analyses/Dominators.h"`

## Public Types
using | NodeRef = typename GraphTraits< clang::CFGBlock >::NodeRef
using | ChildrenTy = SmallVector< NodeRef, 8 >

## Public Member Functions
ChildrenTy | get (const NodeRef &N)

## Detailed Description

### template<bool IsPostDom>
struct llvm::IDFCalculatorDetail::ChildrenGetterTy< clang::CFGBlock, IsPostDom >

Specialize ChildrenGetterTy to skip nullpointer successors.

Definition at line 197 of file Dominators.h.

## Member Typedef Documentation

## ◆ ChildrenTy

template<bool IsPostDom>

using llvm::IDFCalculatorDetail::ChildrenGetterTy< clang::CFGBlock, IsPostDom >::ChildrenTy = SmallVector<NodeRef, 8>

Definition at line 199 of file Dominators.h.

## ◆ NodeRef

template<bool IsPostDom>

using llvm::IDFCalculatorDetail::ChildrenGetterTy< clang::CFGBlock, IsPostDom >::NodeRef = typename GraphTraits<clang::CFGBlock>::NodeRef

Definition at line 198 of file Dominators.h.

## Member Function Documentation

## ◆ get()

template<bool IsPostDom>

ChildrenTy llvm::IDFCalculatorDetail::ChildrenGetterTy< clang::CFGBlock, IsPostDom >::get | ( | const NodeRef & | N | ) |
| inline

Definition at line 201 of file Dominators.h.

References clang::transformer::remove(), and Ret().

The documentation for this struct was generated from the following file:

- include/clang/Analysis/Analyses/Dominators.h